""" EEG Preprocessing Modules directory.

This directory contains modules for preprocessing EEG data.
Preprocessing methods include filtering, artifact removal, and signal normalization.

Each preprocessing method is implemented as a class that inherits from the `ModuleInterface`.
It provides a consistent interface for running preprocessing methods and retrieving their configurations.
Each preprocessing method will have a dedicated folder with its own `__init__.py` file, README.md, and other necessary files in its directory.

Each method has to implement a callable dunder method `__call__`, and optionally a train method (train will raise an exception if not implemented).
"""