"""EEG Data Augmentation Module directory.

This module contains classes and functions for data augmentation in the EEG Code Research Tool.
Each augmentation method is implemented as a class that inherits from the `ModuleInterface`.
It provides a consistent interface for running augmentation methods and retrieving their configurations.

Here Each augmentation method will have dedicated folder with its own `__init__.py` file, and other necessary file. 
Each augmentation method has to implement callable dunder method `__call__`, optionally train method (train will raise an exception if not implemented). 

In each folder there will be a `README.md` file with detailed description of the augmentation method, its parameters, and usage examples.
"""