"""Feature Extraction Modules directory.

This directory contains modules for extracting features from EEG data.

Each feature extraction method is implemented as a class that inherits from the `ModuleInterface`.
It provides a consistent interface for running feature extraction methods and retrieving their configurations.
Each feature extraction method will have a dedicated folder with its own `__init__.py` file, README.md, and other necessary files in its directory.

Each method has to implement a callable dunder method `__call__`, and optionally a train method (train will raise an exception if not implemented).
"""