

class ModuleInterface:
    """
    Interface for modules in the EEG Code Research Tool.
    """

    def run(self, *args, **kwargs):
        """
        Run the module with the provided arguments.
        """
        raise NotImplementedError("Subclasses must implement this method.")

    def get_config(self) -> dict:
        """
        Get the configuration of the module.
        """
        raise NotImplementedError("Subclasses must implement this method.")
    